#ifndef _TEMP_LANG_FRONTEND_HPP_
#define _TEMP_LANG_FRONTEND_HPP_

#include <string>
#include <iostream>
#include <fstream>
#include <istream>
#include <streambuf>

class TempLangFrontend {
public:
	TempLangFrontend(const std::string &source_file)
	{
		m_source_file = source_file;
	}

	virtual int analyze() = 0;

	const std::string &get_src_file()
	{
		return m_source_file;
	}

protected:
	std::string m_source_file;

	

};

#endif /* _TEMP_LANG_FRONTEND_HPP_ */