#include "tprcc/logger.hpp"
#include <cstdlib>
#include <tpr/tpr-types.hpp>
#include <cmath>
#include <iostream>

namespace tpr {


TprCommand::TprCommand(CommandType type)
{
	m_type = type;
}

TprCommand::TprCommand(CommandType type, const std::vector<float> &params) : TprCommand(type)
{
	m_parameters = params;
}

TprCommand::TprCommand(CommandType type, const std::vector<float> &&params) : TprCommand(type)
{
	m_parameters = std::move(params);
}


}